# NonNullState

interface NonNullState < T > : State < T >

Definition a Hikage runtime state interface for non-nullable type.

#### Inheritors

NonNull

## Properties

value
Link copied to clipboard
abstract var value : T

The current value of the state.

## Functions

getValue
Link copied to clipboard
abstract operator override fun getValue (thisRef: Any ?, property: KProperty <*>): T
observe
Link copied to clipboard
abstract fun observe (observer: ( T ) -> Unit )

Observe the state changes.

setValue
Link copied to clipboard
abstract operator fun setValue (thisRef: Any ?, property: KProperty <*>, value: T )